<?php 
namespace App\Entities\Raca;

use App\Utils\Entity;

class Raca extends Entity
{
    protected $id;
    protected $nome;
    protected $id_especie;

    public static function builder() : RacaBuilder
    {
        return (new RacaBuilder);
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome): void
    {
        $this->nome = $nome;
    }

    /**
     * @return mixed
     */
    public function getIdEspecie()
    {
        return $this->id_especie;
    }

    /**
     * @param mixed $id_especie
     */
    public function setIdEspecie($id_especie): void
    {
        $this->id_especie = $id_especie;
    }

}